#! /bin/sh /usr/share/dpatch/dpatch-run
## 08_default-configuration.dpatch by  <nslater@tumbolia.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Improve the default configuration file.

@DPATCH@
diff -urNad phenny-2~hg28~/phenny phenny-2~hg28/phenny
--- phenny-2~hg28~/phenny	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/phenny	2009-05-04 18:39:12.000000000 +0100
@@ -25,28 +25,28 @@
 def create_default_config(fn): 
    f = open(fn, 'w')
    print >> f, trim("""\
-   nick = 'phenny'
-   host = 'irc.example.net'
-   channels = ['#example', '#test']
-   owner = 'yournickname'
+   nick = "phenny"
+   host = "irc.example.net"
+   # password = "password"
+   channels = ["#example", "#test"]
+   owner = "your-nick"
 
-   # This isn't implemented yet:
-   # serverpass = 'yourserverpassword'
+   # people allowed to use admin.py functions
+   admins = [owner, "other-nick"]
 
-   # These are people who will be able to use admin.py's functions...
-   admins = [owner, 'someoneyoutrust']
-   # But admin.py is disabled by default, as follows:
-   exclude = ['admin']
+   # for available modules see /usr/share/python-support/phenny/phenny/modules
 
-   # If you want to enumerate a list of modules rather than disabling
-   # some, use "enable = ['example']", which takes precedent over exclude
-   # 
+   # exclude modules
+   exclude = ["admin"]
+
+   # enable specific modules, trumps exclude
    # enable = []
 
-   # Modules to load from the opt directory
-   extra = []
+   # extra modules to load by filename
+   # extra = ["~/.phenny/example-a.py", "~/.phenny/example-b.py"]
 
-   # EOF
+   # limit modules in specific channels
+   # limit = {"#channel": ["module-a", "module-b"]}
    """)
    f.close()
 
